Index: Makefile.am
===================================================================
--- Makefile.am	(revision 4)
+++ Makefile.am	(revision 40)
@@ -1,3 +1,4 @@
-SUBDIRS=src test
+SUBDIRS=src
+ACLOCAL_AMFLAGS=-I m4
 
 pkgconfigdir=$(libdir)/pkgconfig
Index: bootstrap.sh
===================================================================
--- bootstrap.sh	(revision 40)
+++ bootstrap.sh	(revision 40)
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+scriptdir=`dirname $0`
+
+cd "${scriptdir}"
+
+libtoolize
+aclocal -I m4
+automake -a
+autoconf
Index: configure.ac
===================================================================
--- configure.ac	(revision 39)
+++ configure.ac	(revision 40)
@@ -7,4 +7,5 @@
 AC_PROG_CC
 AC_PROG_CXX
+AC_CONFIG_MACRO_DIR([m4])
 
 AC_CHECK_HEADERS([windows.h winsock2.h])
@@ -54,10 +55,5 @@
         src/Makefile
         src/xplcommon/Makefile
-        src/xplcommon/posix/Makefile
-        src/xplcommon/win32/Makefile
-        test/Makefile
 ])
 
-AC_CONFIG_HEADERS([src/xplcommon/config.h])
-
 AC_OUTPUT()
Index: src/xplcommon/Makefile.am
===================================================================
--- src/xplcommon/Makefile.am	(revision 39)
+++ src/xplcommon/Makefile.am	(revision 40)
@@ -1,8 +1,5 @@
 INCLUDES=@XPSDK_INCLUDES@
 
-SUBDIRS=
-
 if TARGET_API_POSIX
-SUBDIRS+=posix
 AM_CPPFLAGS=-DLIN
 AM_CXXFLAGS=-fPIC -fno-stack-protector
@@ -10,5 +7,4 @@
 
 if TARGET_API_WIN32
-SUBDIRS+=win32
 AM_CPPFLAGS=-DIBM
 AM_LDFLAGS=@XPSDK_LDFLAGS@ -no-undefined
@@ -23,38 +19,7 @@
 
 libxplcommon_la_SOURCES= \
-	PseudoRandom.cc		\
-	BlockingStream.cc	\
-	DataStream.cc		\
 	Util.cc
-
-if TARGET_API_POSIX
-libxplcommon_la_LIBADD=posix/libxplcommon_posix.la
-endif
-
-if TARGET_API_WIN32
-libxplcommon_la_LIBADD=win32/libxplcommon_win32.la
-endif
 
 include_xplcommondir=$(includedir)/xplcommon
 include_xplcommon_HEADERS=\
-	config.h		\
-	types.h			\
-	PseudoRandom.h		\
-	Thread.h		\
-	Mutex.h			\
-	CondVar.h		\
-	Failable.h		\
-	Waiter.h		\
-	WaitableEvent.h		\
-	Buffer.h		\
-	BufferedStream.h	\
-	ReadingBuffer.h		\
-	WritingBuffer.h		\
-	LocalAcceptor.h		\
-	LocalSocket.h		\
-	LocalServerSocket.h	\
-	LocalConnector.h	\
-	LocalClientSocket.h	\
-	BlockingStream.h	\
-	DataStream.h		\
 	Util.h
